Subject: Re: VPATH builds broken
From: Jeff Hammond <[email-masked]>
To: "Field G. Van Zee" <[email-masked]>
Cc: [email-masked]
Date: Fri, 3 Jan 2014 22:04:08 -0600
List-Id: <blis-devel.googlegroups.com>

> I think I can add support for running configure out-of-directory pretty
> easily. However, before I do so, could you spell out exactly the capability
> from the build system you would like to see? For example, you mentioned
> wanting to run configure from ../../ but do you also want to run make from
> that directory as well?

Yes, of course.  I want to be able to do the following, as I can with
well-designed autotools build systems.  I am not suggesting the BLIS
build system isn't well-designed, just that it doesn't follow the
standard model that the GNU autotools community appears to advocate.

mkdir $BUILD_DIR && cd $BUILD_DIR && $BLIS_ROOT/configure
$BLIS_CONFIGURE_OPTIONS && make -j9000 && make check && make install

where 9000 is a joke (32 is more reasonable) and "make check" runs all
of the BLIS-only tests required to verify the _correctness_ of the
library.  I do not expect for "make check" to run any performance
tests or comparisons with optional third-party implementations.

Best,

Jeff

-- 
Jeff Hammond
[email-masked]

-- 
You received this message because you are subscribed to the Google Groups "blis-devel" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To post to this group, send email to [email-masked].
Visit this group at http://groups.google.com/group/blis-devel.
For more options, visit https://groups.google.com/groups/opt_out.